Bug 2419 - Solo crashes on ia64 on startup
Summary: Solo crashes on ia64 on startup
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: General (show other bugs)
Version: DRI git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-29 16:38 UTC by Stephane Marchesin
Modified: 2005-03-04 11:04 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
New patch (3.27 KB, patch)
2005-01-31 13:51 UTC, Stephane Marchesin
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stephane Marchesin 2005-01-29 16:38:58 UTC
When I use solo on ia64, it sometimes causes an MCA upon startup. That's because
a memset is done on the framebuffer memory during init.

Please refer to this message from Jesse Barnes to know why this is bad :
http://sourceforge.net/mailarchive/forum.php?thread_id=6354420&forum_id=7177

Here is a patch that fixes this by changing the memset into a for() loop doing
memory access one byte at a time :
http://icps.u-strasbg.fr/~marchesin/dri/ia64_solo_memset.patch
Comment 1 Stephane Marchesin 2005-01-31 13:51:12 UTC
Created attachment 1800 [details] [review]
New patch

Other drivers (r128 and mga) are affected too, this patches fixes all the
drivers that seemed to have this problem.
Comment 2 Stephane Marchesin 2005-03-05 06:04:36 UTC
Should be fixed in cvs for ia64 and powerpc


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.